Skip to main content
`Ctrl`+`K`

# TSIRKGetNumStages

Get the number of stages of `TSIRK` scheme

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSIRKGetNumStages(TS ts, PetscInt *nstages)

Logically Collective

## Input Parameters

- ts - timestepping context

- nstages - number of stages of `TSIRK` scheme

## See Also

TS: Scalable ODE and DAE Solvers, `TSIRKSetNumStages()`, `TSIRK`

## Level

intermediate

## Location

src/ts/impls/implicit/irk/irk.c

## Implementations

TSIRKGetNumStages_IRK() in src/ts/impls/implicit/irk/irk.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages